=== debian/changelog ===
qemu-kvm (1.1.2+dfsg-6+deb7u7~bpo60+1) squeeze-backports; urgency=high

  * Rebuild for squeeze-backports (removed usbredir support)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 14 May 2015 14:47:58 +0300

qemu-kvm (1.1.2+dfsg-6+deb7u7) wheezy-security; urgency=high

  * fdc-force-the-fifo-access-to-be-in-bounds-CVE-2015-3456.patch
    backported from upstream 2.3 (Closes: CVE-2015-3456)
  * rename CVE-2014-8106 patches to match upstream, add bug#
    (no actual code changed)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 12 May 2015 10:43:59 +0300

qemu-kvm (1.1.2+dfsg-6+deb7u6) wheezy-security; urgency=high

  * apply upstream patches for CVE-2014-8106
    (cirrus: insufficient blit region checks)
    (Closes: #772025 CVE-2014-8106)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 03 Dec 2014 23:46:51 +0300

qemu-kvm (1.1.2+dfsg-6+deb7u5) wheezy-security; urgency=medium

  * apply 5 patches backported from upstream to fix a security issue in
    vmware-vga (Closes: #765496 CVE-2014-3689)
  * vnc-sanitize-bits_per_pixel-from-the-client-CVE-2014-7815.patch
    from upstream (Closes: CVE-2014-7815)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 05 Nov 2014 10:45:16 +0300

qemu-kvm (1.1.2+dfsg-6+deb7u4) wheezy-security; urgency=medium

  * image-format-validation patch series backported from 2.0, closing
    CVE-2014-0142, CVE-2014-0143, CVE-2014-0144, CVE-2014-0145,
    CVE-2014-0146, CVE-2014-0147, CVE-2014-0222, CVE-2014-0223
    (Closes: #742730)
  * slirp-udp-fix-NULL-pointer-deref-uninit-socket-CVE-2014-3640.patch
    closing CVE-2014-3640 (Closes: #762532)
  * spice-make-sure-we-don-t-overflow-ssd-buf-CVE-2014-3615.patch and
    vbe-rework-sanity-checks-CVE-2014-3615.patch closing CVE-2014-3615

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 20 May 2014 09:49:42 +0400

qemu-kvm (1.1.2+dfsg-6+deb7u3) wheezy-security; urgency=high

  * ide-correct-improper-smart-self-test-counter-reset-CVE-2014-2894.patch
    (Closes: #745157 CVE-2014-2894)
  * scsi-allocate-SCSITargetReq-r-buf-dynamically-CVE-2013-4344.patch
    (Closes: #725944 CVE-2013-4344)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 14 May 2014 16:08:52 +0400

qemu-kvm (1.1.2+dfsg-6+deb7u2) stable; urgency=medium

  [ Gabriele Giacone ]
  * Fix crash booting GNU/Hurd on both hwaccel systems without --enable-kvm
    option and on non-hwaccel ones (Closes: #719633).
  * Fix crash booting GNU/Hurd with QEMU multiboot options (Closes: #741873).

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 19 Apr 2014 09:21:00 +0400

qemu-kvm (1.1.2+dfsg-6+deb7u1) wheezy-security; urgency=high

  * fix guest-triggerable buffer overrun in virtio-net device
    (Closes: #744221 CVE-2014-0150)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Apr 2014 20:27:16 +0400

qemu-kvm (1.1.2+dfsg-6) unstable; urgency=low

  * another bugfix for USB, upstream from early days of past-1.1.
    usb-split-endpoint-init-and-reset.patch.  With certain redirected
    to guest USB devices, qemu process may crash:

     usb_packet_complete: Assertion `((&ep->queue)->tqh_first) == p' failed.

    The patch fixes this by de-coupling reset and complete paths.
    Big thanks goes to Joseph Price who found the fix by doing a
    reverse git bisection.
    (Closes: #701926)

  * fix wrong description of kvm transitional package (Closes: #701910)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Mar 2013 09:03:51 +0400

qemu-kvm (1.1.2+dfsg-5) unstable; urgency=low

  * fix USB regression introduced in 1.1 (Closes: #683983)
    uhci-don-t-queue-up-packets-after-one-with-the-SPD-flag-set.patch
    Big thanks to Peter Schaefer (https://bugs.launchpad.net/bugs/1033727)
    for the help identifying the fix.

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 14 Jan 2013 12:20:29 +0400

qemu-kvm (1.1.2+dfsg-4) unstable; urgency=medium

  * e1000-discard-oversized-packets-based-on-SBP_LPE.patch: the second
    half of the fix for CVE-2012-6075. (Finally Closes: #696051)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 09 Jan 2013 23:05:17 +0400

qemu-kvm (1.1.2+dfsg-3) unstable; urgency=low

  * intel_hda-do-not-call-msi_reset-when-only-device-state-needs-resetting.patch
    patch to fix Fixing reset of MSI function in intel-hda virtual device.
    The fix (applied to stable-1.1.1) was partially wrong, as it actually
    added the msi_reset() call to two code paths instead of one as planned.
    Fix this by splitting the function in question into two parts.
    (Closes: #688964)
  * blockdev-preserve-readonly-and-snapshot-states-across-media-changes.patch:
    allow opening of read-only cdrom images/devices (Closes: #686776)
  * ahci-properly-reset-PxCMD-on-HBA-reset.patch: fix windows install on ahci
    (Closes: #696052)
  * e1000-discard-packets-that-are-too-long-if-not-SBP-and-not-LPE.patch:
    discard too long rx packets which may overflow guest buffer
    (Closes: #696051)
  * eepro100-fix-network-hang-when-rx-buffers-run-out.patch:
    fix e100 stall (Closes: #696061)
  * fix possible network stalls/slowness in e1000 device emulation:
    net-notify-iothread-after-flushing-queue.patch
    e1000-flush-queue-whenever-can_receive-can-go-from-false-to-true.patch
    (Closes: #696063)
  * fixes-related-to-processing-of-qemu-s-numa-option.patch:
    fixes numa handling (Closes: #691343)
  * qcow2-fix-avail_sectors-in-cluster-allocation-code.patch:
    fixes data corruption in stacked qcow2 (Closes: #695905)
  * qcow2-fix-refcount-table-size-calculation.patch: another possible
    corruption or crash in qcow2 (Closes: #691569)
  * tap-reset-vnet-header-size-on-open.patch: always ensure tap device is
    in known state initially (Closes: #696057)
  * vmdk-fix-data-corruption-bug-in-WRITE-and-READ-handling.patch:
    possible data corruption bug in vmdk image format (Closes: #696050)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 16 Dec 2012 23:08:40 +0400

qemu-kvm (1.1.2+dfsg-2) unstable; urgency=low

  * add revert-serial-fix-retry-logic.patch that restores

