=== debian/control ===
Source: qemu-kvm
Section: misc
Priority: optional
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Uploaders: Guido Günther <agx@sigxcpu.org>, Jan Lübbe <jluebbe@debian.org>
Build-Depends: debhelper (>= 8), pkg-config, texinfo, python,
 libaio-dev,
 libasound2-dev,
 libattr1-dev,
 libbluetooth-dev,
 libbrlapi-dev,
 libcap-dev,
 libcurl4-gnutls-dev,
 libglib2.0-dev,
 libgnutls-dev,
 libiscsi-dev,
 libjpeg-dev,
 libncurses5-dev,
 libpci-dev,
 libpulse-dev,
 libpng12-dev,
 libsasl2-dev,
 libsdl1.2-dev,
 libspice-protocol-dev,
 libspice-server-dev (>> 0.8.2-1),
 libvdeplug-dev | libvdeplug2-dev,
 linux-libc-dev (>= 2.6.32),
 uuid-dev,
 xfslibs-dev,
 zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.linux-kvm.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/qemu-kvm.git
Vcs-Git: git://git.debian.org/git/collab-maint/qemu-kvm.git

Package: qemu-kvm
Architecture: i386 amd64
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 seabios (>> 1.7.0~), vgabios (>= 0.6c-3~),
 qemu-keymaps, qemu-utils (>> 0.14.0),
 ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
Recommends: bridge-utils, iproute
Suggests: debootstrap, vde2, samba
Provides: kvm
Conflicts: kvm-source (<= 18-1), kvm-data (<= 66+dfsg-1.1), kvm (<< 1:0)
Breaks: libvirt0 (<< 0.9.8-2~)
Replaces: kvm-data (<= 66+dfsg-1.1), kvm (<< 1:0)
Description: Full virtualization on x86 hardware
 Using KVM, one can run multiple virtual PCs, each running unmodified Linux or
 Windows images. Each virtual machine has private virtualized hardware: a
 network card, disk, graphics adapter, etc. 
 .
 KVM (for Kernel-based Virtual Machine) is a full virtualization solution for
 Linux hosts on x86 hardware with x86 guests. KVM is intended for systems where
 the processor has hardware support for virtualization, see below for details.
 All combinations of 32-bit and 64-bit host and guest systems are supported,
 except 64-bit guests on 32-bit hosts.
 .
 KVM requires your system to support hardware virtualization, provided by AMD's
 SVM capability or Intel's VT. See /usr/share/doc/qemu-kvm/README.Debian for
 more information.

Package: qemu-kvm-dbg
Architecture: i386 amd64
Section: debug
Depends: ${misc:Depends}, qemu-kvm (= ${binary:Version})
Conflicts: kvm-dbg
Replaces: kvm-dbg
Priority: extra
Description: Debugging info for qemu-kvm
 This package contains the debugging symbols for qemu-kvm.

Package: kvm
Architecture: i386 amd64
Depends: ${misc:Depends}, qemu-kvm
Section: oldlibs
Priority: extra
Description: dummy transitional package from kvm to qemu-kvm
 This transitional package helps users transition from the kvm package to the
 qemu-kvm package.  Once this package and its dependencies are installed you
 can safely remove it.
